View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010075ParaViewBugpublic2009-12-22 10:392010-02-08 23:15
ReporterKen Moreland 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.8Fixed in Version3.8 
Summary0010075: Selection in spreadsheet view not updating
DescriptionWhen you create a selection in a 3D view, the corresponding selection is not updated in a spreadsheet view. To replicate, do the following:

1. Create a sphere source. Apply.
2. Split the view. Make the second view a spreadsheet. Show the sphere.
3. Make a through selection in the 3D view that selects everything.

At this point, the selection should also be showing in the spreadsheet, but it is not. I found that if you scroll the spreadsheet, the selection appears.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0019415)
Utkarsh Ayachit (administrator)
2010-02-01 15:17

When one selected in the 3D view, the spreadsheet view
not necessarily updated. Fixed that by forcing the Qt-view to re-render which
ensures that the selection state gets updated.

/cvsroot/ParaView3/ParaView3/Qt/Core/pqSpreadSheetView.cxx,v <-- Qt/Core/pqSpreadSheetView.cxx
new revision: 1.21; previous revision: 1.20
(0019491)
Alan Scott (manager)
2010-02-08 23:15

Tested local server, XP, trunk.

- Issue History
Date Modified Username Field Change
2009-12-22 10:39 Ken Moreland New Issue
2010-02-01 15:17 Utkarsh Ayachit Note Added: 0019415
2010-02-01 15:17 Utkarsh Ayachit Status backlog => @80@
2010-02-01 15:17 Utkarsh Ayachit Fixed in Version => 3.8
2010-02-01 15:17 Utkarsh Ayachit Resolution open => fixed
2010-02-01 15:17 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2010-02-08 23:15 Alan Scott Note Added: 0019491
2010-02-08 23:15 Alan Scott Status @80@ => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker